HTTP API

ECS Resource

GET/api/v1/ecs/{index}/resources
GET
/api/v1/ecs/{index}/resources

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/ecs/string/resources"
{  "resources": [    {      "data": null,      "name": "string",      "resource_id": "string",      "updated_at": "string",      "version": 0    }  ],  "total": 0}
POST/api/v1/ecs/{index}/resources
POST
/api/v1/ecs/{index}/resources

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/resources" \  -H "Content-Type: application/json" \  -d '{    "data": null,    "name": "string"  }'
{  "data": null,  "name": "string",  "resource_id": "string",  "updated_at": "string",  "version": 0}
GET/api/v1/ecs/{index}/resources/{name}
GET
/api/v1/ecs/{index}/resources/{name}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
name*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/ecs/string/resources/string"
{  "data": null,  "name": "string",  "resource_id": "string",  "updated_at": "string",  "version": 0}
DELETE/api/v1/ecs/{index}/resources/{name}
DELETE
/api/v1/ecs/{index}/resources/{name}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
name*string

Response Body

curl -X DELETE "https://example.com/api/v1/ecs/string/resources/string"
Empty
PUT/api/v1/ecs/{index}/resources/{name}
PUT
/api/v1/ecs/{index}/resources/{name}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/ecs/string/resources/string" \  -H "Content-Type: application/json" \  -d '{    "data": null  }'
{  "data": null,  "name": "string",  "resource_id": "string",  "updated_at": "string",  "version": 0}

On this page